.\"
.\" %nmhwarning%
.\"
.TH WHOM %manext1% "%nmhdate%" MH.6.8 [%nmhversion%]
.SH NAME
whom \- report to whom a message would go
.SH SYNOPSIS
.HP 5
.na
.B whom
.RB [ \-alias
.IR aliasfile ]
.RB [ \-check " | " \-nocheck ]
.RB [ \-draftfolder
.IR +folder ]
.RB [ \-draftmessage
.IR msg ]
.RB [ \-nodraftfolder ]
.RB [ \-server
.IR servername ]
.RB [ \-port
.IR port-name/number ]
.RB [ \-sasl ]
.RB [ \-saslmech
.IR mechanism ]
.RB [ \-snoop ]
.RB [ \-user
.IR username ]
.RB [ \-tls ]
.RB [ \-notls ]
.RI [ file ]
.RB [ \-draft ]
.RB [ \-version ]
.RB [ \-help ]
.ad
.SH DESCRIPTION
.B Whom
is used to expand the headers of a message into a set of
addresses and optionally verify that those addresses are deliverable at
that time (if
.B \-check
is given).
.PP
The
.B \-draftfolder
.I +folder
and
.B \-draftmessage
.I msg
switches invoke
the
.B nmh
draft folder facility.  This is an advanced (and highly
useful) feature.  Consult the
.BR mh-draft (5)
man page for more information.
.PP
If nmh is using the SMTP MTA, the
.B \-server
and the
.B \-port
switches can be used to override the default mail server (defined by the
.I %etcdir%/mts.conf
.RI servers
entry).  The
.B \-snoop
switch can be used to view the SMTP transaction.  (Beware that the
SMTP transaction may contain authentication information either in
plaintext or easily decoded base64.)
.PP
If
.B nmh
has been compiled with SASL support, the
.B \-sasl
switch will enable
the use of SASL authentication with the SMTP MTA.  Depending on the
SASL mechanism used, this may require an additional password prompt from the
user (but the
.RI \*(lq \&.netrc \*(rq
file can be used to store this password).
.B \-saslmech
switch can be used to select a particular SASL mechanism,
and the the
.B \-user
switch can be used to select a authorization userid
to provide to SASL other than the default.
.PP
If SASL authentication is successful, 
.BR nmh
will attempt to negotiate a security layer for session encryption.
Encrypted data is labelled with `(encrypted)' and `(decrypted)' when
viewing the SMTP transaction with the
.B \-snoop
switch.  The
.B \-saslmaxssf
switch can be used to select the maximum value of the Security Strength Factor.
This is an integer value and the exact meaning of this value depends on the
underlying SASL mechanism.  A value of 0 disables encryption.
.PP
If
.B nmh
has been compiled with TLS support, the
.B \-tls
and
.B \-notls
switches will require and disable the negotiation of TLS support when connecting to the
SMTP MTA.  Encrypted data is labelled with `(tls-encrypted)' and
`(tls-decrypted)' when viewing the SMTP transction with the
.B \-snoop
switch.
.PP
The files specified by the profile entry \*(lqAliasfile:\*(rq and any
additional alias files given by the
.B \-alias
.I aliasfile
switch will be
read (more than one file, each preceded by
.BR \-alias ,
can be named). See
.BR mh\-alias (5)
for more information.

.SH FILES
.fc ^ ~
.nf
.ta \w'%etcdir%/ExtraBigFileName  'u
^$HOME/\&.mh\(ruprofile~^The user profile
.fi

.SH "PROFILE COMPONENTS"
.fc ^ ~
.nf
.ta 2.4i
.ta \w'ExtraBigProfileName  'u
^Path:~^To determine the user's nmh directory
^Draft\-Folder:~^To find the default draft\-folder
^Aliasfile:~^For a default alias file
^postproc:~^Program to post the message
.fi

.SH "SEE ALSO"
mh\-alias(5), post(8)

.SH DEFAULTS
.nf
.RB ` file "' defaults to <mh\-dir>/draft"
.RB ` \-nocheck '
.RB ` \-alias "' defaults to  %etcdir%/MailAliases"
.fi

.SH CONTEXT
None

.SH BUGS
With the
.B \-check
option,
.B whom
makes no guarantees that the
addresses listed as being ok are really deliverable, rather, an address
being listed as ok means that at the time that
.B whom
was run
the address was thought to be deliverable by the transport service.
For local addresses, this is absolute; for network addresses, it means
that the host is known; for uucp addresses, it (often) means that the
.B UUCP
network is available for use.
